@rem = '--*-Perl-*--
@echo off
if "%OS%" == "Windows_NT" goto WinNT
perl -x -S "%0" %1 %2 %3 %4 %5 %6 %7 %8 %9
goto endofperl
:WinNT
perl -x -S %0 %*
if NOT "%COMSPEC%" == "%SystemRoot%\system32\cmd.exe" goto endofperl
if %errorlevel% == 9009 echo You do not have Perl in your PATH.
if errorlevel 1 goto script_failed_so_exit_with_non_zero_val 2>nul
goto endofperl
@rem ';
#!perl
#line 15

# Note: This script is a CLI interface to Riap function /CPAN/Critic/Module/Abstract/critique_cpan_module_abstract
# and generated automatically using App::GenPericmdScript version 0.12

our $DATE = '2015-08-17'; # DATE
our $DIST = 'CPAN-Critic-Module-Abstract'; # DIST
our $VERSION = '0.06'; # VERSION

use 5.010001;
use strict;
use warnings;

use Perinci::CmdLine::Any;

$ENV{PERL_LWP_SSL_VERIFY_HOSTNAME} = 0;

Perinci::CmdLine::Any->new(
    url => "/CPAN/Critic/Module/Abstract/critique_cpan_module_abstract",
)->run;

# ABSTRACT: Critic CPAN module abstract
# PODNAME: critique-cpan-module-abstract

__END__

=pod

=encoding UTF-8

=head1 NAME

critique-cpan-module-abstract - Critic CPAN module abstract

=head1 VERSION

This document describes version 0.06 of critique-cpan-module-abstract (from Perl distribution CPAN-Critic-Module-Abstract), released on 2015-08-17.

=head1 SYNOPSIS

Usage:

 % critique-cpan-module-abstract [options] <abstract>

=head1 COMPLETION

This script has shell tab completion capability with support for several
shells.

=head2 bash

To activate bash completion for this script, put:

 complete -C critique-cpan-module-abstract critique-cpan-module-abstract

in your bash startup (e.g. C<~/.bashrc>). Your next shell session will then
recognize tab completion for the command. Or, you can also directly execute the
line above in your shell to activate immediately.

It is recommended, however, that you install L<shcompgen> which allows you to
activate completion scripts for several kinds of scripts on multiple shells.
Some CPAN distributions (those that are built with
L<Dist::Zilla::Plugin::GenShellCompletion>) will even automatically enable shell
completion for their included scripts (using C<shcompgen>) at installation time,
so you can immadiately have tab completion.

=head2 tcsh

To activate tcsh completion for this script, put:

 complete critique-cpan-module-abstract 'p/*/`critique-cpan-module-abstract`/'

in your tcsh startup (e.g. C<~/.tcshrc>). Your next shell session will then
recognize tab completion for the command. Or, you can also directly execute the
line above in your shell to activate immediately.

It is also recommended to install C<shcompgen> (see above).

=head2 other shells

For fish and zsh, install C<shcompgen> as described above.

=head1 ENVIRONMENT

=head2 CRITIQUE_CPAN_MODULE_ABSTRACT_OPT => str

Specify additional command-line options

=head1 CONFIGURATION FILE

This script can read configuration file, which by default is searched at C<~/.config/critique-cpan-module-abstract.conf>, C<~/critique-cpan-module-abstract.conf> or C</etc/critique-cpan-module-abstract.conf> (can be changed by specifying C<--config-path>). All found files will be read and merged.

To disable searching for configuration files, pass C<--no-config>.

Configuration file is in the format of L<IOD>, which is basically INI with some extra features. 

You can put multiple profiles in a single file by using section names like C<[profile=SOMENAME]>. Those sections will only be read if you specify the matching C<--config-profile SOMENAME>.

List of available configuration parameters:

 abstract (see --abstract)
 format (see --format)
 naked_res (see --naked-res)
 profile (see --profile)

=head1 FILES

~/.config/critique-cpan-module-abstract.conf

~/critique-cpan-module-abstract.conf

/etc/critique-cpan-module-abstract.conf

=head1 HOMEPAGE

Please visit the project's homepage at L<https://metacpan.org/release/CPAN-Critic-Module-Abstract>.

=head1 SOURCE

Source repository is at L<https://github.com/sharyanto/perl-CPAN-Critic-Module-Abstract>.

=head1 BUGS

Please report any bugs or feature requests on the bugtracker website L<https://rt.cpan.org/Public/Dist/Display.html?Name=CPAN-Critic-Module-Abstract>

When submitting a bug or request, please include a test-file or a
patch to an existing test-file that illustrates the bug or desired
feature.

=head1 AUTHOR

perlancar <perlancar@cpan.org>

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2015 by perlancar@cpan.org.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

=head1 OPTIONS

C<*> marks required options.

=head2 Configuration options

=over

=item B<--config-path>=I<filename>

{en_US Set path to configuration file}.

Can be specified multiple times.

=item B<--config-profile>=I<s>

{en_US Set configuration profile to use}.

=item B<--no-config>

{en_US Do not use any configuration file}.

=back

=head2 Environment options

=over

=item B<--no-env>

{en_US Do not read environment for default options}.

=back

=head2 Output options

=over

=item B<--format>=I<s>

{en_US Choose output format, e.g. json, text}.

Default value:

 undef

=item B<--json>

{en_US Set output format to json}.

=item B<--naked-res>

{en_US When outputing as JSON, strip result envelope}.

Default value:

 0

{en_US 
By default, when outputing as JSON, the full enveloped result is returned, e.g.:

    [200,"OK",[1,2,3],{"func.extra"=>4}]

The reason is so you can get the status (1st element), status message (2nd
element) as well as result metadata/extra result (4th element) instead of just
the result (3rd element). However, sometimes you want just the result, e.g. when
you want to pipe the result for more post-processing. In this case you can use
`--naked-res` so you just get:

    [1,2,3]
}


=back

=head2 Other options

=over

=item B<--abstract>=I<s>*

=item B<--help>, B<-h>, B<-?>

{en_US Display help message and exit}.

=item B<--profile>=I<s>

Default value:

 "default"

=item B<--version>, B<-v>

{en_US Display program's version and exit}.

=back

=cut

__END__
:endofperl
